# Uses of Interface
org.bukkit.util.StructureSearchResult

Packages that use StructureSearchResult
Package
Description
org.bukkit
The root package of the Bukkit API, contains generalized API classes.

## Uses of StructureSearchResult in org.bukkit

Methods in org.bukkit that return StructureSearchResult
Modifier and Type
Method
Description
`@Nullable StructureSearchResult`
World.`locateNearestStructure(@NotNull Location origin, @NotNull Structure structure, int radius, boolean findUnexplored)`
Find the closest nearby structure of a given `Structure`.
`@Nullable StructureSearchResult`
World.`locateNearestStructure(@NotNull Location origin, @NotNull StructureType structureType, int radius, boolean findUnexplored)`
Find the closest nearby structure of a given `StructureType`.